Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.connection
Interface ConnectionProperties

    public interface ConnectionProperties

DOCUMENT ME!

Author:
  Raghunadh

Field Summary
`static java.lang.String` | `DatabaseJNDIName` jndi name tag
`static java.lang.String` | `DB_PASSWORD` database user password tag
`static java.lang.String` | `DB_TYPE` database type tag
`static java.lang.String` | `DB_URL` database URL tag
`static java.lang.String` | `DB_USERNAME` database user name tag
`static java.lang.Integer` | `DB2_DB` DB2
`static java.lang.Integer` | `DERBY_DB` derby
`static java.lang.String` | `MAX_THREAD_COUNT` max thread count tag
`static java.lang.Integer` | `ORCL_DB` Oracle
`static java.lang.Integer` | `SQLSVR_DB` sqlserver
`static java.lang.Integer` | `SYB_DB` sybase

Field Detail

### DB_URL

    static final java.lang.String DB_URL

  database URL tag

  See Also:
    Constant Field Values

### DB_USERNAME

    static final java.lang.String DB_USERNAME

  database user name tag

  See Also:
    Constant Field Values

### DB_PASSWORD

    static final java.lang.String DB_PASSWORD

  database user password tag

  See Also:
    Constant Field Values

### DB_TYPE

    static final java.lang.String DB_TYPE

  database type tag

  See Also:
    Constant Field Values

### DatabaseJNDIName

    static final java.lang.String DatabaseJNDIName

  jndi name tag

  See Also:
    Constant Field Values

### MAX_THREAD_COUNT

    static final java.lang.String MAX_THREAD_COUNT

  max thread count tag

  See Also:
    Constant Field Values

### ORCL_DB

    static final java.lang.Integer ORCL_DB

  Oracle

### DB2_DB

    static final java.lang.Integer DB2_DB

  DB2

### SYB_DB

    static final java.lang.Integer SYB_DB

  sybase

### SQLSVR_DB

    static final java.lang.Integer SQLSVR_DB

  sqlserver

### DERBY_DB

    static final java.lang.Integer DERBY_DB

  derby

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD